//////////////Plantillas
export function plantillaUsuario(descripcion, url, usuario, contraseña){
    if(descripcion != ""){
      this.descripcion = descripcion;
    }
    if(url != ""){
      this.url = url;
    }
    if(usuario != ""){
      this.usuario = usuario;
    }
    if(contraseña != ""){
      this.contraseña = contraseña;
    }
  }
  
  export function plantillaNota(nombre, textoNota){
    if(nombre != ""){
      this.nombre = nombre;
    }
    if(textoNota != ""){
      this.textoNota = textoNota;
    }
  }
  //---------------------------
  
  
  /**
   * plantilla para crear un objeto de tipo Tarjeta de Crédito
   * @param {*} nombreEntidad nombre del banco
   * @param {*} numTarjeta nombre de la tarjeta guardada
   * @param {*} fechaCaducidad fecha de caducidad de la tarjeta guardada
   * @param {*} nombreTitular nombre del titular de la tarjeta
   * @param {*} codigoDeSeguridad código de seguridad de la tarjeta (CCV, CVV)
   */
 export function plantillaTarjetaCredito(nombreEntidad, numTarjeta,fechaCaducidad,nombreTitular,codigoDeSeguridad){
    if(nombreEntidad != ""){
      this.nombreEntidad = nombreEntidad;
    }
    if(numTarjeta != ""){
      this.numTarjeta = numTarjeta;
    }
    if(fechaCaducidad != ""){
      this.fechaCaducidad = fechaCaducidad;
    }
    if(nombreTitular != ""){
      this.nombreTitular = nombreTitular;
    }
    if(codigoDeSeguridad != ""){
      this.codigoDeSeguridad = codigoDeSeguridad;
    }
  }
  
  /**
   * plantilla para crear un objeto de tipo Cuenta Bancaria
   * @param {*} nombreEntidadBancaria nombre del banco
   * @param {*} IBAN número completo de la cuenta bancaria
   * @param {*} usuarioBancario usuario con el que acceder a la banca online
   * @param {*} contraseñaBancario contraseña para acceder a la banca online
   */
   export function plantillaCuentaBancaria(nombreEntidadBancaria, IBAN,usuarioBancario,contraseñaBancario){
    if(nombreEntidadBancaria != ""){
      this.nombreEntidadBancaria = nombreEntidadBancaria;
    }
    if(IBAN != ""){
      this.IBAN = IBAN;
    }
    if(usuarioBancario != ""){
      this.usuarioBancario = usuarioBancario;
    }
    if(contraseñaBancario != ""){
      this.contraseñaBancario = contraseñaBancario;
    }
  }
  