export function modalEUsuario(){
    var html = `<!-- Modal Editar Usuario -->
    <div class="modal fade" id="editarUsuarioModal" tabindex="-1" role="dialog" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Editar Usuario</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <div class="form-group">
              <label for="DescripcionModalEditarUsuario">Descripción</label>
              <input type="text" class="form-control" id="DescripcionModalEditarUsuario" placeholder="">
            </div>
            <div class="form-group">
              <label for="URLModalEditarUsuario">URL</label>
              <input type="url" class="form-control" id="URLModalEditarUsuario" placeholder="">
            </div>
            <div class="form-group">
              <label for="UsuarioModalEditarUsuario">Usuario</label>
              <input type="text" class="form-control" id="UsuarioModalEditarUsuario" placeholder="">
            </div>
            <div class="form-group">
              <label for="ContraseñaModalEditarUsuario">Contraseña</label>
              <input type="password" class="form-control" id="ContraseñaModalEditarUsuario" placeholder="">
            </div>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Descartar</button>
            <button type="button" id = "modalConfirmacionEditarUsuario" class="btn btn-primary">Guardar Cambios</button>
          </div>
        </div>
      </div>
    </div>`;
    return html;
  }
  
  
 export function modalENota(){
    var html = `<!-- Modal Editar Notas -->
    <div class="modal fade" id="editarNotaModal" tabindex="-1" role="dialog" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Editar Nota</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <div class="form-group">
              <label for="NombreNota">Nombre</label>
              <input type="text" class="form-control" id="EditarNombreNota" placeholder="Introduce Nombre">
            </div>
            <div class="form-group">
              <label for="textoNota">Texto Nota</label>
              <textarea class="form-control" id="EditartextoNota" rows="3"></textarea>
            </div>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Descartar</button>
            <button type="button" id = "modalConfirmacionEditarNota" class="btn btn-primary">Guardar Cambios</button>
          </div>
        </div>
      </div>
    </div>`;
    return html;
  }
 export function modalEditTarjetaCredito(){
    var html = `<!-- Modal Editar Tarjeta -->
    <div class="modal fade" id="editarTarjetaCreditoModal" tabindex="-1" role="dialog" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Editar Tarjeta de Crédito</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <div class="form-group">
              <label for="nombreEntidadModalEditarTarjetaCredito">Nombre Entidad</label>
              <input type="text" class="form-control" id="nombreEntidadModalEditarTarjetaCredito" placeholder="">
            </div>
            <div class="form-group">
              <label for="numTarjetaModalEditarTarjetaCredito">Número Tarjeta</label>
              <input type="text" class="form-control" id="numTarjetaModalEditarTarjetaCredito" placeholder="">
            </div>
            <div class="form-group">
              <label for="fechaCaducidadModalEditarTarjetaCredito">Fecha Caducidad</label>
              <input type="date" class="form-control" id="fechaCaducidadModalEditarTarjetaCredito" placeholder="">
            </div>
            <div class="form-group">
              <label for="nombreTitularModalEditarTarjetaCredito">Nombre Titular</label>
              <input type="text" class="form-control" id="nombreTitularModalEditarTarjetaCredito" placeholder="">
            </div>
            <div class="form-group">
              <label for="codigoDeSeguridadEditarTarjetaCredito">Código Seguridad</label>
              <input type="text" class="form-control" id="codigoDeSeguridadModalEditarTarjetaCredito" placeholder="">
             </div>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Descartar</button>
            <button type="button" id = "modalConfirmacionEditarTarjetaCredito" class="btn btn-primary">Guardar Cambios</button>
          </div>
        </div>
      </div>
    </div>`;
    return html;
  }

  export function modalEditCuentaBancaria(){
    var html = `<!-- Modal Editar Cuenta -->
    <div class="modal fade" id="editarCuentaBancariaModal" tabindex="-1" role="dialog" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Editar Cuenta Bancaria</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <div class="form-group">
              <label for="nombreEntidadBancariaModalEditarCuentaBancaria">Nombre Entidad</label>
              <input type="text" class="form-control" id="nombreEntidadBancariaModalEditarCuentaBancaria" placeholder="">
            </div>
            <div class="form-group">
              <label for="IBANModalEditarCuentaBancaria">IBAN</label>
              <input type="text" class="form-control" id="IBANModalEditarCuentaBancaria" placeholder="">
            </div>
            <div class="form-group">
              <label for="usuarioBancarioModalEditarCuentaBancaria">Fecha Caducidad</label>
              <input type="text" class="form-control" id="usuarioBancarioModalEditarCuentaBancaria" placeholder="">
            </div>
            <div class="form-group">
              <label for="contraseñaBancarioModalEditarCuentaBancaria">Nombre Titular</label>
              <input type="password" class="form-control" id="contraseñaBancarioModalEditarCuentaBancaria" placeholder="">
            </div>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Descartar</button>
            <button type="button" id = "modalConfirmacionEditarCuentaBancaria" class="btn btn-primary">Guardar Cambios</button>
          </div>
        </div>
      </div>
    </div>`;
    return html;
  }